/*****************************************************
This program was produced by the
CodeWizardAVR V2.05.3 Standard
Automatic Program Generator
 Copyright 1998-2011 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : 
Version : 
Date    : 02.04.2014
Author  : CAMOKAT-BETEPAHA
Company : MICROSOFT
Comments: 


Chip type               : ATtiny13A
AVR Core Clock frequency: 1,200000 MHz
Memory model            : Tiny
External RAM size       : 0
Data Stack size         : 16
*****************************************************/

#include <tiny13a.h>
#include <delay.h>

typedef unsigned char byte;

byte a,pwm;
byte up,down;
byte trig,b,set,lift;
eeprom byte eeup,eedown;

void Led (void)
{
  trig=1;
          PORTB.5=0; 
          delay_ms(500);
          if(PINB.2==0)
           {
            for(b=0;b<set;b++)
             {
              delay_ms(200);
              PORTB.5=1;
              delay_ms(200);
              PORTB.5=0;
             }
            set++;
           }

}



interrupt [TIM0_OVF] void timer0_ovf_isr(void)     //  
{
 TCNT0=191;  //  
 a++;
 if(a>pwm||pwm==0)PORTB.0=0;
 else PORTB.0=1; 
}

void main(void)
{
PORTB=0x04;
DDRB=0x23;

TCCR0B=0x01;
TIMSK0=0x02;                                           
ACSR=0x80;

if(PINB.2==0)
{
 delay_ms(100);  
 while(PINB.2==0)
  {
   Led();
   lift=1;
   delay_ms(100);
  }
 }
 if(lift)
 {
  eeup=set;
  set=0; 
  trig=0; 
 }
up=eeup;
down=eedown; 
#asm("sei")
while (1)
      {
       if(PINB.2)
        {
         if(trig)
          {      
           eedown=set;
           down=set;
           set=0; 
           trig=0;
          }
         if(PINB.4)
          {
           if(pwm!=255)pwm++;
           else PORTB.5=0;
           delay_ms(up);
          }
         else
          {
           if(pwm!=0)pwm--;
           else PORTB.5=1;
           delay_ms(down);
          }
         }
        else Led();
                  
       }
}
